Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mail: new aport

From: Steffen (Daode) Nurpmeso <"Steffen>
Date: Fri, 29 Sep 2017 18:06:53 +0200

https://www.sdaoden.eu/code.html#s-mailx
SysV/BSD/POSIX mail(x) utility to send and receive Internet mail
---
 testing/mail/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/mail/APKBUILD
diff --git a/testing/mail/APKBUILD b/testing/mail/APKBUILD
new file mode 100644
index 0000000..f8056ff
--- /dev/null
+++ b/testing/mail/APKBUILD
_at_@ -0,0 +1,50 @@
+# Maintainer: Steffen Nurpmeso <steffen_at_sdaoden.eu>
+pkgname=mail
+pkgver=14.9.4
+pkgrel=0
+pkgdesc="SysV/BSD/POSIX mail(x) utility to send and receive Internet mail"
+url="https://www.sdaoden.eu/code.html#s-mailx"
+arch="all"
+license="BSD"
+makedepends="libressl-dev ncurses-dev krb5-dev"
+subpackages="$pkgname-doc"
+# XXX use $pkgname after v15
+source="https://ftp.sdaoden.eu/s-nail-$pkgver.tar.xz"
+
+builddir="$srcdir/s-nail-$pkgver"
+options=suid
+
+# LD_LIBRARY_PATH is included via -rpath, so use system defaults only.
+# And ensure no other paths sneak in.
+unset LIBRARY_PATH LD_RUN_PATH
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+C_INCLUDE_PATH=/usr/include
+LD_LIBRARY_PATH=/lib:/usr/lib
+export PATH C_INCLUDE_PATH LD_LIBRARY_PATH
+
+build() {
+	cd "$builddir"
+	make \
+		VAL_SID= VAL_MAILX=mail \
+		VAL_PREFIX=/usr \
+		VAL_SYSCONFDIR=/etc \
+		OPT_AUTOCC=no \
+		config || return 1
+	make build # XXX unite with config in v14.9.5
+}
+
+check() {
+	cd "$builddir"
+	unset LOGNAME USER # XXX drop that in v14.9.5
+	make test
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install
+	chmod u+s $pkgdir/usr/libexec/mail-privsep
+
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+sha512sums="96fd351d604d31dec6a03614448aa08eec885d7f01ee43e5edbd69a61579fa5b744f1cf1029680da4d415dc5f448334284f3bfa71f9449c05679b43079f98497  s-nail-14.9.4.tar.xz"
-- 
2.14.2
--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Sep 29 2017 - 18:15:55 GMT